### Hierarchy

- RequestOptions
  - SubmitOptions

## Index

### Properties

- _defaultAgent
- agent
- auth
- createConnection
- defaultPort
- family
- headers
- host
- hostname
- localAddress
- method
- path
- port
- protocol
- setHost
- socketPath
- timeout

## Properties

### Optional _defaultAgent

_defaultAgent: Agent

Inherited from ClientRequestArgs._defaultAgent

- Defined in node_modules/@types/node/http.d.ts:84

### Optional agent

agent: Agent | boolean

Inherited from ClientRequestArgs.agent

- Defined in node_modules/@types/node/http.d.ts:83

### Optional auth

auth: undefined | string

Inherited from ClientRequestArgs.auth

- Defined in node_modules/@types/node/http.d.ts:82

### Optional createConnection

createConnection: undefined | function

Inherited from ClientRequestArgs.createConnection

- Defined in node_modules/@types/node/http.d.ts:88

### Optional defaultPort

defaultPort: number | string

Inherited from ClientRequestArgs.defaultPort

- Defined in node_modules/@types/node/http.d.ts:76

### Optional family

family: undefined | number

Inherited from ClientRequestArgs.family

- Defined in node_modules/@types/node/http.d.ts:74

### Optional headers

headers: OutgoingHttpHeaders

Inherited from ClientRequestArgs.headers

- Defined in node_modules/@types/node/http.d.ts:81

### Optional host

host: undefined | string

Inherited from ClientRequestArgs.host

- Defined in node_modules/@types/node/http.d.ts:72

### Optional hostname

hostname: undefined | string

Inherited from ClientRequestArgs.hostname

- Defined in node_modules/@types/node/http.d.ts:73

### Optional localAddress

localAddress: undefined | string

Inherited from ClientRequestArgs.localAddress

- Defined in node_modules/@types/node/http.d.ts:77

### Optional method

method: undefined | string

Inherited from ClientRequestArgs.method

- Defined in node_modules/@types/node/http.d.ts:79

### Optional path

path: undefined | string

Inherited from ClientRequestArgs.path

- Defined in node_modules/@types/node/http.d.ts:80

### Optional port

port: number | string

Inherited from ClientRequestArgs.port

- Defined in node_modules/@types/node/http.d.ts:75

### Optional protocol

protocol: "https:" | "http:"

Overrides ClientRequestArgs.protocol

- Defined in node_modules/@types/form-data/index.d.ts:41

### Optional setHost

setHost: undefined | false | true

Inherited from ClientRequestArgs.setHost

- Defined in node_modules/@types/node/http.d.ts:86

### Optional socketPath

socketPath: undefined | string

Inherited from ClientRequestArgs.socketPath

- Defined in node_modules/@types/node/http.d.ts:78

### Optional timeout

timeout: undefined | number

Inherited from ClientRequestArgs.timeout

- Defined in node_modules/@types/node/http.d.ts:85

Generated using TypeDoc